Read Workflow Run Node Shape
Return status and value-free output shapes for one executed node.
GET
/developer/v1/workflows/{definition_id}/runs/{run_id}/nodes/{node_id}Authorizations
Authorizationstringheaderrequired
Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:read for the authenticated organization.
Headers
Acceptstringheader
Response media type. Use application/json for the current API.
Parameters
definition_idrequiredrun_idrequirednode_idrequirediteration_pathlimitDefault: 5
Responses
WorkflowRunNodeShapeResponse
errorstring | nullerror_categorystring | nullexecutedboolean | nullhintstring | nullin_loopboolean | nullitem_shapesarray<object<string, any>>iteration_patharray<integer>iteration_statusstring | nullHTTPValidationError
detailarray<ValidationError>